Get upgrade targets
Returns the products that one subscription of the contact can be upgraded to.
To upgrade, add one of the returned products to a basket with Add product to basket. Send the productId, the variantId as productVariantId, the subscriptionKey, and the id of the current subscription as subscriptionUpgradeId. Then check out the basket.
Authorization
BearerAuth ApiKeyAuth AuthorizationBearer <token>
In: header
x-api-key<token>
In: header
Path Parameters
subscriptionId*string
The id of a subscription of the contact, from List subscriptions.
Format
uuidResponse Body
application/json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/subscriptions/subscription/497f6eca-6276-4993-bfeb-53cbbbba6f08/upgrade"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "upgradeTargets": [ { "productId": "string", "variantId": "string", "subscriptionKey": "string" } ]}